Subject: bug#56305: 29.0.50; 'yes-or-no-p' deselects minibuffer frame

From: martin rudalics <[email-masked]>
Date: Tue, 19 Jul 2022 10:09:33 +0200

> And of course we also need (3) Emacs wants to change the selected frame
 > without touching anything related to focus because it's just a temporary
 > change to run code in another context.

"Of course"?  If I have a window or frame that I usually never want to
become selected, evaluating 'mode-line-format' will mercilessly tell me
that that window or frame is the selected one.

martin